Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.common
Class ObjectIDRange

    java.lang.Object
      com.fujitsu.iflow.common.ObjectIDRange

All Implemented Interfaces:
  java.io.Serializable

public class ObjectIDRange
extends java.lang.Object
implements java.io.Serializable

ObjectIDRange is a container that holds a range of numbers that can be used for id purposes, as well as counter that tracks the usage of those numbers. Note: functinality has changed a bit fromt he past, so I am detailing the definitions of the new numbers.

See Also:
  Serialized Form

Field Summary
`static DebugLog` | `dLog`
`long` | `idRangeEnd`
`long` | `idRangeStart`
`long` | `nextId`

Constructor Summary
`ObjectIDRange()`

Method Summary
`long` | `consume()`
`long` | `consume(int numToConsume)`
`void` | `fill(long start, long num)`
`boolean` | `hasMore()`
`long` | `numLeft()`
`void` | `set(ObjectIDRange rhs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dLog

    public static DebugLog dLog

### idRangeStart

    public long idRangeStart

### idRangeEnd

    public long idRangeEnd

### nextId

    public long nextId

Constructor Detail

### ObjectIDRange

    public ObjectIDRange()

Method Detail

### numLeft

    public long numLeft()

### consume

    public long consume()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### consume

    public long consume(int numToConsume)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### hasMore

    public boolean hasMore()

### fill

    public void fill(long start,
                     long num)

### set

    public void set(ObjectIDRange rhs)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD